#ifndef LOGGINGTHREAD_H
#define LOGGINGTHREAD_H

//
// ILogging: Abstract interface used by logging thread to log events.
//
struct ILogging
{
	virtual void LogEvent(const std::string& sLogEvent) = 0;
};

//
// CreateLoggingThread: Creates a thread that logs events using the supplied interface pointer.
//
HANDLE CreateLoggingThread(ILogging* pLogging, HANDLE hSignalEvent, HANDLE hQuitEvent);

#endif // LOGGINGTHREAD_H
